Berkeley DB version 4.3.29

## com.sleepycat.bind
Interface EntityBinding

All Known Implementing Classes:
  SerialSerialBinding, TupleSerialBinding, TupleTupleBinding

public interface EntityBinding

A binding between a key-value entry pair and an entity object.

Method Summary
`Object` `entryToObject(DatabaseEntry key, DatabaseEntry data)` Converts key and data entry buffers into an entity Object.
`void` `objectToData(Object object, DatabaseEntry data)` Extracts the data entry from an entity Object.
`void` `objectToKey(Object object, DatabaseEntry key)` Extracts the key entry from an entity Object.

Method Detail

### entryToObject

    public Object entryToObject(DatabaseEntry key,
                                DatabaseEntry data)

  Converts key and data entry buffers into an entity Object.

  Parameters:
    `key` - is the source key entry.
    `data` - is the source data entry.
  Returns:
    the resulting Object.

### objectToKey

    public void objectToKey(Object object,
                            DatabaseEntry key)

  Extracts the key entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `key` - is the destination entry buffer.

### objectToData

    public void objectToData(Object object,
                             DatabaseEntry data)

  Extracts the data entry from an entity Object.

  Parameters:
    `object` - is the source Object.
    `data` - is the destination entry buffer.

Berkeley DB version 4.3.29

Copyright (c) 1996-2004 Sleepycat Software, Inc. - All rights reserved.